org.wso2.carbon.logging.admin.stub.types.carbon

## Class LoggerData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class LoggerData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  LoggerData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoggerData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `localAdditivity` field for Additivity
    `protected boolean` | `localAdditivityTracker`
    `protected String` | `localLevel` field for Level
    `protected boolean` | `localLevelTracker`
    `protected String` | `localName` field for Name
    `protected boolean` | `localNameTracker`
    `protected String` | `localParentName` field for ParentName
    `protected boolean` | `localParentNameTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAdditivity()` Auto generated getter method
    `String` | `getLevel()` Auto generated getter method
    `String` | `getName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getParentName()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isAdditivitySpecified()`
    `boolean` | `isLevelSpecified()`
    `boolean` | `isNameSpecified()`
    `boolean` | `isParentNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setAdditivity(boolean param)` Auto generated setter method
    `void` | `setLevel(String param)` Auto generated setter method
    `void` | `setName(String param)` Auto generated setter method
    `void` | `setParentName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localAdditivity

          protected boolean localAdditivity

      field for Additivity

    - #### localAdditivityTracker

          protected boolean localAdditivityTracker

    - #### localLevel

          protected String localLevel

      field for Level

    - #### localLevelTracker

          protected boolean localLevelTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

    - #### localParentName

          protected String localParentName

      field for ParentName

    - #### localParentNameTracker

          protected boolean localParentNameTracker

  - ### Constructor Detail

    - #### LoggerData

          public LoggerData()

  - ### Method Detail

    - #### isAdditivitySpecified

          public boolean isAdditivitySpecified()

    - #### getAdditivity

          public boolean getAdditivity()

      Auto generated getter method
      Returns:
        boolean

    - #### setAdditivity

          public void setAdditivity(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Additivity

    - #### isLevelSpecified

          public boolean isLevelSpecified()

    - #### getLevel

          public String getLevel()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLevel

          public void setLevel(String param)

      Auto generated setter method
      Parameters:
        `param` - Level

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### isParentNameSpecified

          public boolean isParentNameSpecified()

    - #### getParentName

          public String getParentName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setParentName

          public void setParentName(String param)

      Auto generated setter method
      Parameters:
        `param` - ParentName

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.